=== debian/control ===
Source: dsme
Section: misc
Priority: optional
Maintainer: Semi Malinen <semi.malinen@nokia.com>
Uploaders: Ismo Laitinen <ismo.laitinen@nokia.com>, David Weinehall <david.weinehall@nokia.com>, Philippe De Swert <philippe.de-swert@nokia.com>
Build-Depends: debhelper (>= 4.1.0),
 libdsme0.2.0-dev (>= 0.60.29),
 libbmeipc-dev,
 libcal-dev (>= 0.2.0),
 pkg-config,
 libglib2.0-dev,
 libdbus-1-dev (>= 1.0),
 libdbus-glib-1-dev,
 upstart-dev
Standards-Version: 3.7.2

Package: dsme
Section: misc
Architecture: any
Depends: ${shlibs:Depends}
Description: Device State Management Entity
 This package contains the Device State Management Entity which provides state
 management features such as service monitoring, process watchdog and
 inactivity tracking.

Package: dsme-dbg
Section: devel
Priority: extra
Architecture: any
Depends: dsme (= ${binary:Version})
Description: Device State Management Entity (with debug symbols)
 This package contains the Device State Management Entity which provides state
 management features such as service monitoring, process watchdog and
 inactivity tracking.
