=== debian/changelog ===
dsme (0.60.34+0m5) hardy; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- pekka lundstrom <pekka.lundstrom@nokia.com>  Fri, 16 Oct 2009 12:32:44 +0300

dsme (0.60.34) hardy; urgency=low

  * Revert the fix to NB#138594 to make a sales release

 -- Semi Malinen <semi.malinen@nokia.com>  Thu, 15 Oct 2009 10:02:34 +0000

dsme (0.60.33) unstable; urgency=low

  * Fixes: NB#142959: do not send THERMAL_SHUTDOWN_IND
  * Partial fix to NB#138594: no new lifeguard clients during reboot/shutdown

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 14 Oct 2009 15:48:12 +0000
