=== debian/changelog ===
dsme (0.60.39+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Swert De <philippe.de-swert@nokia.com>  Thu, 05 Nov 2009 19:18:24 +0200

dsme (0.60.39) unstable; urgency=low

  * Fixes: NB#139135: parameterize reboot and shutdown in shutdown_ind on D-Bus

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 04 Nov 2009 15:09:34 +0000

dsme (0.60.38) unstable; urgency=low

  * Fixes: NB#144351: send alarm state in addition to state query response

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 28 Oct 2009 15:52:13 +0000

dsme (0.60.37) unstable; urgency=low

  * Fixes: NB#144351: indicate raw alarm queue changes to dsmesock clients

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 27 Oct 2009 12:49:09 +0000

dsme (0.60.36) unstable; urgency=low

  * Fixes: NB#144351: broadcast SET_ALARM_STATE message to dsmesock

 -- Semi Malinen <semi.malinen@nokia.com>  Tue, 27 Oct 2009 11:08:30 +0000

dsme (0.60.35) unstable; urgency=low

  * Fixes: NB#143508: bump the version number to submit for integration

 -- Semi Malinen <semi.malinen@nokia.com>  Wed, 21 Oct 2009 14:00:29 +0000

dsme (0.60.34) unstable; urgency=low

  * Revert the fix to NB#138594 to make a sales release

 -- Semi Malinen <semi.malinen@nokia.com>  Thu, 15 Oct 2009 10:02:34 +0000
