## dsme 0.60.49+0cssu2

=== modules/Makefile ===
--- 
+++ 
@@ -7,15 +7,10 @@
                    librunlevel             \
                    liblifeguard            \
                    libprocesswd            \
-                   libhwwd                 \
                    libdbusproxy            \
                    libalarmtracker         \
                    libthermalmanager       \
                    libemergencycalltracker
-
-ifdef DSME_BMEIPC
-SO_LIBRARIES    += libthermalobject_surface
-endif
 
 ifdef DSME_MEMORY_THERMAL_MGMT
 SO_LIBRARIES    += libthermalobject_memory
@@ -43,11 +38,6 @@
 libprocesswd_C_OBJS := processwd.o
 processwd.o : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags glib-2.0)
 
-libhwwd_C_OBJS               := hwwd.o dsme_wd.o
-hwwd.o    : C_EXTRA_GENFLAGS := -fPIC
-dsme_wd.o : C_EXTRA_GENFLAGS := -fPIC
-#libhwwd_EXTRA_LDFLAGS        := -lpthread
-
 libdbusproxy_C_OBJS := dbusproxy.o dsme_dbus.o
 dbusproxy.o : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags glib-2.0)
 dsme_dbus.o : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags dbus-glib-1)
@@ -59,13 +49,6 @@
 libthermalmanager_C_OBJS := thermalmanager.o
 thermalmanager.o : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags glib-2.0) -DDSME_THERMAL_TUNING #-DDSME_THERMAL_LOGGING
 #libthermalmanager_EXTRA_LDFLAGS := -lrt
-
-ifdef DSME_BMEIPC
-libthermalobject_surface_C_OBJS := thermalobject_surface.o thermalsensor_battery.o
-thermalobject_surface.o:  C_EXTRA_GENFLAGS := -fPIC
-thermalsensor_battery.o : C_EXTRA_GENFLAGS := -fPIC $$(pkg-config --cflags glib-2.0)
-libthermalobject_surface_EXTRA_LDFLAGS := -lbmeipc $$(pkg-config --libs glib-2.0)
-endif
 
 ifdef DSME_MEMORY_THERMAL_MGMT
 libthermalobject_memory_C_OBJS := thermalobject_memory.o thermalsensor_omap.o
@@ -90,7 +73,6 @@
 INSTALL_SO_LIBRARIES    :=  libstartup.so        \
                             libheartbeat.so      \
                             libprocesswd.so      \
-                            libhwwd.so           \
                             liblifeguard.so      \
                             libstate.so          \
                             librunlevel.so       \
@@ -98,15 +80,12 @@
                             libalarmtracker.so   \
                             libthermalmanager.so \
                             libemergencycalltracker.so
-ifdef DSME_BMEIPC
-INSTALL_SO_LIBRARIES	+=	libthermalobject_surface.so
-endif
 ifdef DSME_MEMORY_THERMAL_MGMT
 INSTALL_SO_LIBRARIES	+=	libthermalobject_memory.so
 endif
 $(INSTALL_SO_LIBRARIES): INSTALL_PERM := 755
 $(INSTALL_SO_LIBRARIES): INSTALL_DIR  := $(DESTDIR)/usr/lib/dsme
-INSTALL_INCLUDES                      := 
+INSTALL_INCLUDES                      := thermalmanager.h
 $(INSTALL_INCLUDES): INSTALL_PERM     := 644
 $(INSTALL_INCLUDES): INSTALL_DIR      := $(DESTDIR)/usr/include/dsme
